wibble::net::http::Param Struct Referenceabstract

Base interface for GET or POST parameters. More...

`#include <http.h>`

Inheritance diagram for wibble::net::http::Param:
[legend]

## Public Member Functions

virtual | ~Param ()
virtual void | parse (const std::string &str)=0
| Parse the value of this parameter from the given unescaped string value. More...

## Detailed Description

Base interface for GET or POST parameters.

## Constructor & Destructor Documentation

wibble::net::http::Param::~Param | ( |  | ) |

virtual

## Member Function Documentation

virtual void wibble::net::http::Param::parse | ( | const std::string & | str | ) |

pure virtual

Parse the value of this parameter from the given unescaped string value.

This can be called more than once, if the value is found multiple times. It can also never be called, if the value is never found.

Implemented in wibble::net::http::ParamMulti, and wibble::net::http::ParamSingle.

Referenced by wibble::net::http::Params::parse_multipart(), and wibble::net::http::Params::parse_urlencoded().

The documentation for this struct was generated from the following files:

- http.h
- http.cpp